/**
 *
 * @author Zhuplev Anton
 */
import java.io.*;
import java.util.*;



public class sol_zhuplev implements Runnable {


  private String input = "input.txt";
  private String output = "output.txt";
  private Scanner in = null;
  private PrintWriter out = null;


  public sol_zhuplev() {
    try {
      in = new Scanner(new File(input));
      out = new PrintWriter(new File(output));
    } catch (Exception exept) {
      exept.printStackTrace();
      System.exit(1);
    }
  }


  public static void main(String[] args) {
    Locale.setDefault(Locale.US);
    new Thread(new sol_zhuplev()).start();
  }


  public void run() {
    try {
      solve();
    } catch (Exception exept) {
      exept.printStackTrace();
      System.exit(1);
    } finally {
      in.close();
      out.close();
    }
  }


  private void myAssert(boolean expr, String message) {
    if (!expr) {
      throw new Error("Assertion failure!!! " + message);
    }
  }


  int gcd(int a, int b) {
    while (a != 0 && b != 0) {
      int t = b;
      b = a % b;
      a = t;
    }
    return a + b;
  }


  @SuppressWarnings("unchecked")
  private void solve() {
    int a = in.nextInt();
    int b = in.nextInt();
    int c = b / gcd(a, b);
    int pow2 = 0; int pow5 = 0;
    while (c % 2 == 0) {
      c /= 2;
      pow2++;
    }
    while (c % 5 == 0) {
      c /= 5;
      pow5++;
    }
    out.format("%d %d", c, Math.max(pow2, pow5));
  }
}
